Package org.eclipse.m2m.atl.emftvm.impl

## Class InputRuleElementImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl
        - - org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl
          - - org.eclipse.m2m.atl.emftvm.impl.RuleElementImpl
            - - org.eclipse.m2m.atl.emftvm.impl.InputRuleElementImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `InputRuleElement`, `NamedElement`, `RuleElement`, `TypedElement`

    public class InputRuleElementImpl
    extends RuleElementImpl
    implements InputRuleElement

An implementation of the model object 'Input Rule Element'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected CodeBlock` `binding` The cached value of the '`Binding`' containment reference.
`protected static boolean` `MAPS_TO_SELF_EDEFAULT` The default value of the '`Maps To Self`' attribute.
`protected boolean` `mapsToSelf` The cached value of the '`Maps To Self`' attribute.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.RuleElementImpl

`eModels, models`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl

`eType, type, TYPE_EDEFAULT, TYPE_MODEL_EDEFAULT, typeModel`

### Fields inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `InputRuleElementImpl()` Creates a new `InputRuleElementImpl`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.common.notify.NotificationChain` `basicSetBinding​(CodeBlock newBinding, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetInputFor​(Rule newInputFor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Iterable<org.eclipse.emf.ecore.EObject>` `createIterable​(ExecEnv env)` Creates a new `Iterable` of possible match values for this rule element.
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()` Returns the `EClass` that correspond to this metaclass.
`void` `eUnset​(int featureID)`
`CodeBlock` `getBinding()` Returns the value of the 'Binding' containment reference.
`Rule` `getInputFor()` Returns the value of the 'Input For' container reference.
`boolean` `isMapsToSelf()`
`void` `setBinding​(CodeBlock newBinding)` Sets the value of the '`Binding`' containment reference.
`void` `setInputFor​(Rule newInputFor)` Sets the value of the '`Input For`' container reference.
`void` `setMapsToSelf​(boolean newMapsToSelf)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.RuleElementImpl

`getEModels, getModels`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.TypedElementImpl

`basicGetEType, getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.NamedElementImpl

`getName, setName`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.NamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.RuleElement

`getEModels, getModels`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.TypedElement

`getEType, getType, getTypeModel, setEType, setType, setTypeModel`

### Field Detail

#### binding

    protected CodeBlock binding

The cached value of the '`Binding`' containment reference.

See Also:
  `getBinding()`

#### MAPS_TO_SELF_EDEFAULT

    protected static final boolean MAPS_TO_SELF_EDEFAULT

The default value of the '`Maps To Self`' attribute.

See Also:
  `isMapsToSelf()`, Constant Field Values

#### mapsToSelf

    protected boolean mapsToSelf

The cached value of the '`Maps To Self`' attribute.

See Also:
  `isMapsToSelf()`

### Constructor Detail

#### InputRuleElementImpl

    protected InputRuleElementImpl()

Creates a new `InputRuleElementImpl`.

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Returns the `EClass` that correspond to this metaclass.

Overrides:
  `eStaticClass` in class `RuleElementImpl`
Returns:
  the `EClass` that correspond to this metaclass.

#### getBinding

    public CodeBlock getBinding()

Returns the value of the 'Binding' containment reference. It is bidirectional and its opposite is '`Binding For`'.

If the meaning of the 'Binding' containment reference isn't clear, there really should be more of a description here...

Specified by:
  `getBinding` in interface `InputRuleElement`
Returns:
  the value of the 'Binding' containment reference.
See Also:
  `InputRuleElement.setBinding(CodeBlock)`, `EmftvmPackage.getInputRuleElement_Binding()`, `CodeBlock.getBindingFor()`

#### basicSetBinding

    public org.eclipse.emf.common.notify.NotificationChain basicSetBinding​(CodeBlock newBinding,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

See Also:
  `setBinding(CodeBlock)`

#### setBinding

    public void setBinding​(CodeBlock newBinding)

Sets the value of the '`Binding`' containment reference.

Specified by:
  `setBinding` in interface `InputRuleElement`
Parameters:
  `newBinding` - the new value of the 'Binding' containment reference.
See Also:
  `InputRuleElement.getBinding()`

#### getInputFor

    public Rule getInputFor()

Returns the value of the 'Input For' container reference. It is bidirectional and its opposite is '`Input Elements`'.

If the meaning of the 'Input For' container reference isn't clear, there really should be more of a description here...

Specified by:
  `getInputFor` in interface `InputRuleElement`
Returns:
  the value of the 'Input For' container reference.
See Also:
  `InputRuleElement.setInputFor(Rule)`, `EmftvmPackage.getInputRuleElement_InputFor()`, `Rule.getInputElements()`

#### basicSetInputFor

    public org.eclipse.emf.common.notify.NotificationChain basicSetInputFor​(Rule newInputFor,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

See Also:
  `setInputFor(Rule)`

#### setInputFor

    public void setInputFor​(Rule newInputFor)

Sets the value of the '`Input For`' container reference.

Specified by:
  `setInputFor` in interface `InputRuleElement`
Parameters:
  `newInputFor` - the new value of the 'Input For' container reference.
See Also:
  `InputRuleElement.getInputFor()`

#### isMapsToSelf

    public boolean isMapsToSelf()

Specified by:
  `isMapsToSelf` in interface `InputRuleElement`
Returns:
  the value of the 'Maps To Self' attribute.
See Also:
  `InputRuleElement.setMapsToSelf(boolean)`, `EmftvmPackage.getInputRuleElement_MapsToSelf()`

#### setMapsToSelf

    public void setMapsToSelf​(boolean newMapsToSelf)

Specified by:
  `setMapsToSelf` in interface `InputRuleElement`
Parameters:
  `newMapsToSelf` - the new value of the 'Maps To Self' attribute.
See Also:
  `InputRuleElement.isMapsToSelf()`

#### createIterable

    public java.lang.Iterable<org.eclipse.emf.ecore.EObject> createIterable​(ExecEnv env)

Creates a new `Iterable` of possible match values for this rule element.

Specified by:
  `createIterable` in interface `InputRuleElement`
Parameters:
  `env` - the execution environment context
Returns:
  a new `Iterable` of possible match values for this rule element.

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `RuleElementImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `RuleElementImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `RuleElementImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `RuleElementImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `RuleElementImpl`